WinDef.ULONGLONGByReference (JNA API)

com.sun.jna.platform.win32

## Class WinDef.ULONGLONGByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.ULONGLONGByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.ULONGLONGByReference
      extends ByReference

  The Class ULONGLONGByReference.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ULONGLONGByReference()` Instantiates a new ULONGLONG by reference.
    `ULONGLONGByReference(WinDef.ULONGLONG value)` Instantiates a new ULONGLONG by reference.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WinDef.ULONGLONG` | `getValue()` Gets the value.
    `void` | `setValue(WinDef.ULONGLONG value)` Sets the value.

    - ### Methods inherited from class com.sun.jna.ptr.ByReference

      `toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ULONGLONGByReference

          public ULONGLONGByReference()

      Instantiates a new ULONGLONG by reference.

    - #### ULONGLONGByReference

          public ULONGLONGByReference(WinDef.ULONGLONG value)

      Instantiates a new ULONGLONG by reference.
      Parameters:
        `value` - the value

  - ### Method Detail

    - #### setValue

          public void setValue(WinDef.ULONGLONG value)

      Sets the value.
      Parameters:
        `value` - the new value

    - #### getValue

          public WinDef.ULONGLONG getValue()

      Gets the value.
      Returns:
        the value

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.